QGIS Application - Bug report #21304
"default value" is not applied when pasting features
2019-02-18 04:45 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Edit widget

Affected QGIS version:3.5(master) Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29122
Description

In QGIS master the "default value" for a field is not applied when pasting a new feature.

It works ok (as usual) for new digitized features.

Does not affects 3.4.4

Steps:

1) set a default value for a field of a vector

2) digitize a new feature, do not fill the column where the default was set > default is applied

3) copy a feature from another layer and paste it in the layer with the default (the source layer must not have a filled field that can possibly
fill the equivalent field in the target layer) > default is not applied

Associated revisions

Revision bf1575f4 - 2019-02-20 10:11 AM - Alessandro Pasotti

Also check for nulls when applying defaults

isValid is not enough because fields are initialized with
QVariant(field.type()) which is valid but null.

Fixes #21304

With test

History

#1 - 2019-02-19 05:54 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#2 - 2019-02-19 07:29 PM - Alessandro Pasotti

- Status changed from Open to Feedback

| cannot reproduce, can you attach a sample project and data?
#3 - 2019-02-19 10:51 PM - Giovanni Manghi
- File test1.zip added
- File Recording #3.mp4 added

Screencast and project attached (datasources are gpkg, but is the same for different ones).

#4 - 2019-02-20 10:31 AM - Alessandro Pasotti
- Status changed from Feedback to In Progress

Fix is in https://github.com/qgis/QGIS/pull/9203

#5 - 2019-02-21 08:30 AM - Alessandro Pasotti
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|bf1575f4c9aca6c550f6d0711bd3297adfbb27b2.

Files

Recording #3.mp4 3.97 MB 2019-02-19 Giovanni Manghi

test1.zip 1.59 MB 2019-02-19 Giovanni Manghi
2024-04-28 2/2


https://github.com/qgis/QGIS/pull/9203

